Robotsystem from Robot Group Leipzig: OctaPlayground Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# OctaPlayground Class Reference

`#include <octaplayground.h>`

Inheritance diagram for OctaPlayground:

[legend]
Collaboration diagram for OctaPlayground:

[legend]
List of all members.

## Detailed Description

Definition at line 46 of file octaplayground.h.

## Public Member Functions
| OctaPlayground (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const Pos &geometry=Pos(7, 0.2, 0.5), int numberCorners=8)
virtual | ~OctaPlayground ()
virtual void | update ()
| updates the position if the scenegraph nodes
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual osg::Matrix | getPose ()
| gives actual pose of the obstacle
## Protected Member Functions
virtual void | create ()
virtual void | destroy ()
virtual void | calcBoxLength ()

## Constructor & Destructor Documentation

OctaPlayground | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const Pos & | geometry = `Pos(7,0.2,0.5)`,
|  | int | numberCorners = `8`
| ) | `[inline]`

| Definition at line 61 of file octaplayground.h.

virtual ~OctaPlayground | ( |  | ) | `[inline, virtual]`

| Definition at line 78 of file octaplayground.h.

## Member Function Documentation

virtual void calcBoxLength | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 130 of file octaplayground.h.

virtual void create | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 106 of file octaplayground.h.

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 123 of file octaplayground.h.

virtual osg::Matrix getPose | ( |  | ) | `[inline, virtual]`

| gives actual pose of the obstacle Implements AbstractObstacle. Definition at line 100 of file octaplayground.h.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

| sets position of the obstacle and creates/recreates obstacle if necessary Implements AbstractObstacle. Definition at line 92 of file octaplayground.h.

virtual void update | ( |  | ) | `[inline, virtual]`

| updates the position if the scenegraph nodes Implements AbstractObstacle. Definition at line 85 of file octaplayground.h.